package cmd

import (
	"fmt"
	"game/server/gate/config"
	"game/server/gate/model"
	"game/server/gate/server"
	"github.com/fox/fox/log"
	"os"
	"os/signal"
	"syscall"
)

func initRepo() {
	model.InitRedis()
}

func Run(version string) {
	config.LoadConfig()
	log.Info(fmt.Sprintf("版本信息.%v", version))
	initRepo()

	server.Init()
	// 截获 SIGINT 和 SIGTERM 信号
	c := make(chan os.Signal, 1)
	signal.Notify(c, syscall.SIGINT, syscall.SIGTERM)
	sig := <-c
	server.Stop()
	log.Info(fmt.Sprintf("received %s, initiating shutdown...", sig))
}
